Search or ask Docker

Check auth configuration

POST /auth — Docker Engine API 1.57.

View Markdown
POST/auth
Validate credentials for a registry and, if available, get an identity token for accessing the registry without password.

Connection and access

API connection and authentication guidance

/v1.57

No HTTP authentication requirement is declared for this operation. Transport access controls can still apply.

Parameters

No parameters are declared.

Request and responses

Request

Authentication to check

application/json

Schema: AuthConfig

Schema example

{
  "password": "xxxx",
  "serveraddress": "https://index.docker.io/v1/",
  "username": "hannibal"
}

Response 200

An identity token was generated successfully.

application/json

Schema: AuthResponse

Response 204

No error

No response content is declared.

Response 401

Auth error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Response 500

Server error

application/json

Schema: ErrorResponse

Schema example

{
  "message": "Something went wrong."
}

Referenced schemas

#/components/schemas/AuthConfig

#/components/schemas/AuthResponse

#/components/schemas/ErrorResponse

Complete operation contract
{
  "description": "Validate credentials for a registry and, if available, get an identity\ntoken for accessing the registry without password.\n",
  "operationId": "SystemAuth",
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "$ref": "#/components/schemas/AuthConfig"
        }
      }
    },
    "description": "Authentication to check",
    "x-codegen-request-body-name": "authConfig"
  },
  "responses": {
    "200": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/AuthResponse"
          }
        }
      },
      "description": "An identity token was generated successfully."
    },
    "204": {
      "description": "No error"
    },
    "401": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Auth error"
    },
    "500": {
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ErrorResponse"
          }
        }
      },
      "description": "Server error"
    }
  },
  "summary": "Check auth configuration",
  "tags": [
    "System"
  ]
}